Debian Bug report logs - #435573
openmpi-bin: libibverbs only available for Linux

version graph

Package: openmpi-bin; Maintainer for openmpi-bin is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>; Source for openmpi-bin is src:openmpi.

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Wed, 1 Aug 2007 18:06:01 UTC

Severity: important

Tags: patch

Found in version openmpi/1.2.3-1

Fixed in version openmpi/1.2.3-3

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#435573; Package openmpi-bin. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openmpi-bin: libibverbs only available for Linux
Date: Wed, 1 Aug 2007 20:04:29 +0200
[Message part 1 (text/plain, inline)]
Package: openmpi-bin
Version: 1.2.3-1
Severity: important
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current openmpi packages now build fine on Debian/GNU kFreeBSD,
except for one thing: the libibverbs library doesn't exist
on non-Linux platforms (no upstream support) and it doesn't seem likely
that it will be available anytime soon (but please correct me if I'm wrong!)

Thus, kfreebsd-* (and also hurd-*, I guess) should be excluded from the
dependencies on non-Linux platforms, see patch.

The attached patch was enough for me to get a successful build on
kFreeBSD i386. It seems the build system copes fine with a missing
libibverbs otherwise, no further fixes seem to be required.

However, actually _using_ Open MPI does not yet work, I get a segfault
on my hello world program. But I think that's unrelated so I'll file an
extra bug on that.


HTH, Uwe.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org
[openmpi_libibverbs_kfreebsd.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#435573; Package openmpi-bin. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 435573@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: Uwe Hermann <uwe@hermann-uwe.de>, 435573@bugs.debian.org
Subject: Re: [Pkg-openmpi-maintainers] Bug#435573: openmpi-bin: libibverbs only available for Linux
Date: Thu, 02 Aug 2007 18:48:28 +0200
tags 435573 pending
thanks

Hello Uwe,

> The attached patch was enough for me to get a successful build on
> kFreeBSD i386. It seems the build system copes fine with a missing
> libibverbs otherwise, no further fixes seem to be required.

thank you for the patch! I applied it to our SVN repository and it will
find it's way into the next upload.

Best regards
Manuel






Tags added: pending Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Thu, 02 Aug 2007 18:54:05 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 435573-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 435573-close@bugs.debian.org
Subject: Bug#435573: fixed in openmpi 1.2.3-3
Date: Mon, 13 Aug 2007 01:17:04 +0000
Source: openmpi
Source-Version: 1.2.3-3

We believe that the bug you reported is fixed in the latest version of
openmpi, which is due to be installed in the Debian FTP archive:

libopenmpi-dbg_1.2.3-3_i386.deb
  to pool/main/o/openmpi/libopenmpi-dbg_1.2.3-3_i386.deb
libopenmpi-dev_1.2.3-3_i386.deb
  to pool/main/o/openmpi/libopenmpi-dev_1.2.3-3_i386.deb
libopenmpi1_1.2.3-3_i386.deb
  to pool/main/o/openmpi/libopenmpi1_1.2.3-3_i386.deb
openmpi-bin_1.2.3-3_i386.deb
  to pool/main/o/openmpi/openmpi-bin_1.2.3-3_i386.deb
openmpi-common_1.2.3-3_all.deb
  to pool/main/o/openmpi/openmpi-common_1.2.3-3_all.deb
openmpi-doc_1.2.3-3_all.deb
  to pool/main/o/openmpi/openmpi-doc_1.2.3-3_all.deb
openmpi_1.2.3-3.diff.gz
  to pool/main/o/openmpi/openmpi_1.2.3-3.diff.gz
openmpi_1.2.3-3.dsc
  to pool/main/o/openmpi/openmpi_1.2.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435573@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated openmpi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Aug 2007 19:43:29 -0500
Source: openmpi
Binary: openmpi-common openmpi-bin libopenmpi-dev libopenmpi1 libopenmpi-dbg openmpi-doc
Architecture: source all i386
Version: 1.2.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 libopenmpi-dbg - high performance message passing library -- debug library
 libopenmpi-dev - high performance message passing library -- header files
 libopenmpi1 - high performance message passing library -- shared library
 openmpi-bin - high performance message passing library -- binaries
 openmpi-common - high performance message passing library -- common files
 openmpi-doc - high performance message passing library -- man pages
Closes: 435573
Changes: 
 openmpi (1.2.3-3) unstable; urgency=low
 .
   [ Manuel Prinz ]
   * Fixed: openmpi-bin: libibverbs only available for Linux. Thanks to
     Uwe Hermann for providing the patch! (Closes: #435573)
   * Changed section of openmpi-doc to doc to satisfy overrides
 .
   [ Dirk Eddelbuettel ]
   * debian/control: Trying something moderately radical here -- we are
     switching the binary packages from 'Architecture: any' to the set
     of five architectures that can actually build the package, given the
     lack of upstream support for atomistic operations on the other
     architectures (c.f. Debian BTS for openmpi)
Files: 
 683f1f822f28741c4c04c88eb1d3ce86 994 net extra openmpi_1.2.3-3.dsc
 355f8461fd5526c799ea17dc4e220ef2 280161 net extra openmpi_1.2.3-3.diff.gz
 7dab60ec06c1a9156fcec9fb98d5e8b5 151166 net extra openmpi-bin_1.2.3-3_i386.deb
 89526bc87c78965544b65106b86caeab 415612 libdevel extra libopenmpi-dev_1.2.3-3_i386.deb
 bc88470d0c544972a584d91735fca9b0 1049868 libs extra libopenmpi1_1.2.3-3_i386.deb
 1de9cb309cc1661904999dbf9f146f97 3835294 devel extra libopenmpi-dbg_1.2.3-3_i386.deb
 14b367a9c8ff1f705561c11670ac0d2b 41302 net extra openmpi-common_1.2.3-3_all.deb
 74194500534d681c6bd83bfa83dbfd47 447300 doc extra openmpi-doc_1.2.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGv605CZSR95Gw07cRAmgSAKCHwAEwUFQ/rCOOtT2OoDXrrSlXygCghfnr
uWEE4ZtlJ26ZYgfh4OHQDPc=
=6Myo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Sep 2007 07:31:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:29:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.